package com.lightinit.hsdatashow.service.ms;

import com.lightinit.hsdatashow.entity.BaseExample;
import com.lightinit.hsdatashow.entity.Greening;
import com.lightinit.hsdatashow.model.ResultState;

import java.util.List;

public interface IMSGreeningService {
    List<Greening> queryList(BaseExample.Page pager);

    long queryCount(BaseExample.Page pager);

    ResultState<Long> delete(long id);

    ResultState add(Greening inputModel);

    Greening edit(long id);

    ResultState doEdit(Greening inputModel);
}
